﻿/********************************************************************
  Copyright (c) 2025 此乃刘同学.www.liustu.com.cn
  FileName : createtable.h
  Author   : 刘斌
  Version  : V1.0
  Date     : 2025-3-31
  Note     : C仿写sqlite3-嵌入式轻量级数据库
  History  : 2025-4-2 	V1.0 		完成初步编辑
********************************************************************/
#ifndef __CREATETABLE_H
#define __CREATETABLE_H

#include "main.h"

#define NOT_NULL        0x01      // 不能为空
#define DEFAULT         0x02      // 当为空时分配默认值
#define UNIQUE          0x04      // 确保所有值都不是一样的
#define PRIMARY_Key     0x08      // 唯一标识符   

int Create_Table(char *dbname, char *tablename);

#endif
