﻿/********************************************************************
  Copyright (c) 2025 此乃刘同学.www.liustu.com.cn
  FileName : help.c
  Author   : 刘斌
  Version  : V1.0
  Date     : 2025-3-31
  Note     : C仿写sqlite3-嵌入式轻量级数据库
  History  : 2025-4-2 	V1.0 		完成初步编辑
********************************************************************/
#include "help.h"

/**
  * @brief  用户手册
  * @param 	NULL
  * @retval NULL
  */
void show_all_help(){
    /* 显示所有命令和描述 */
    printf(".help:                      显示所有提示\n");
    printf(".open:                      打开/创建数据库\n");
    printf(".exit:                      退出数据库\n");
    printf(".width:                     设置列宽\n");
    printf("INSERT:                     INTO TABLE_NAME 插入数据\n");
    printf("SELECT:                     查询表中已有的记录\n");
    printf("UPDATE:                     修改表中已有的记录\n");
    printf("DROP TABLE:                 删除表\n");
    printf("CREATE INDEX:               创建索引\r\n");
}
