﻿/********************************************************************
  Copyright (c) 2025 此乃刘同学.www.liustu.com.cn
  FileName : open.c
  Author   : 刘斌
  Version  : V1.0
  Date     : 2025-3-31
  Note     : C仿写sqlite3-嵌入式轻量级数据库
  History  : 2025-4-2 	V1.0 		完成初步编辑
********************************************************************/
#include "open.h"

/**
  * @brief  创建数据库
  * @param 	database：表名
  * @retval 0：成功
  */
int Open_DataBase(char *database){
    char *database_temp = database;
    char *file_fix = ".db";

    /* 构建文件名.db */
    strcat(database_temp, file_fix);
    printf("%s\n", database_temp);

    /* 跳转到数据库存放的路径下 */
    chdir("sqlfile");

    /* 打开或创建数据库 */
    FILE *dbfile = fopen(database_temp, "a");

    /* 关闭文件 */
    fclose(dbfile);
    dbfile = NULL;

    return 0;
}
